#ifndef LIBSTTERM_COMMANDER_H
#define LIBSTTERM_COMMANDER_H

#include <lepto/list.h>


class CCommand;

class CCommander
{
      CList<const CCommand *> commandList;

   public:
      CCommander();
      int registerCommands();
      int execCommand( int argc, const char *argv[] );
      int printHelp();
      void addCommand(const CCommand *command)
      {
         commandList+=command;
         return;
      }

};

#endif // ? ! LIBSTTERM_COMMANDER_H
